{% extends "base.html" %}

{% load static %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/add_friends.css' %}">
<link href="https://fonts.googleapis.com/css?family=Nunito|Open+Sans" rel="stylesheet">
{% endblock %}
{% block title %}
Add Friends
{% endblock %}
{% block content %}
<section name="add-friend" id="add-friend">
    <div class="container">
        <h4 class="flux">Add Friend</h4>
        <form id="form" method="POST" action="{% url 'add-friends:add_friend' %}">
                {% csrf_token %}
                {% for field in add_friends_form %}
                <div class="field_wrapper">
                    <table class="table table-borderless table-form">
                        <tr>
                            <td class="col sm-4">{{field.label}}</td>
                            <td class="col sm-8">{{field}}</td>
                        </tr>
                    </table>
                </div>
            {% endfor %}
            <input id="add_friend" type="submit" class="btn btn-lg btn-block btn-primary" value="Add Friend">
            <br>
        </form>
    </div>
</section>
<section name="added_friend" id="added_friend">
    <div class="container">
        <h4 class="neon">List Friend</h4>
        <div class="flex">
            {% if added %}          
                {% for friends in added %}
                    <div class="flex-item" id="flex-item">
                            <div id="f1_container">
                                    <div id="f1_card" class="shadow">
                                      <div class="front face">
                                        <img class="added-friend-cover" src="{% static 'img/cover.png' %}"/>
                                        <h5 class="added-friend-h5">{{friends.name}}</h5>
                                      </div>
                                      <div class="back face center">
                                            <div class="remove-friend-list" data-id="{{friends.id}}">
                                                <a class="remove-url" href="{% url 'add-friends:remove_friend' obj_id=friends.id %}" title="remove friend"><i class="fa fa-times fa-lg" aria-hidden="true"></i></a>
                                            </div>
                                            <img class='added-friends-img' src="{{profile_picture}}">
                                            <h5 class= 'added-friends-name'>{{friends.name}}</h5>
                                            <h5><a class='added-friends-url' href="{{friends.url}}">{{friends.url}}</a></h5>
                                            <h6 class='add-friends-timeadd'>Added {{friends.added_date|date:"j F Y G:i:s"}}</h6>
                                      </div>
                                    </div>
                                    </div>
                    </div>                      
                {% endfor %}
        </div>
        {% else %}
        <div class="alert alert-danger text-center">
            <strong> No friends added.</strong>
        </div>
    {% endif %}
    </div>
</section>

{% endblock %}